<?php

namespace Model;
use Entity\ImageEntity;
use Gateway\ImageGateway;
use Gateway\Gateway;


class ImageModel extends Model
{

    /**
     * Retrieves all images from the database.
     *
     * @return ImageEntity[] Returns an array of ImageEntity objects representing all the images.
     */
    public function getAllImg() : array {
        // Fetch all images using the gateway's findAllImg method.
        $res = $this->gateway->findAllImg();

        // Initialize an empty array to store the ImageEntity objects.
        $images = [];

        // Loop through each image in the result and create an ImageEntity object for each.
        foreach ($res as $img) {
            $images[] = new ImageEntity(
                $img['id_img'],    // Image ID
                $img['imgpath']    // Image path (location or URL of the image)
            );
        }

        // Return the array of ImageEntity objects.
        return $images;
    }
}

?>